
# Ignore the heavy PDFs during build
public/files/*

# Dependency directories
node_modules
npm-debug.log
yarn-error.log
yarn-debug.log
.pnp.*

# Next.js build output
.next
out
build

# Git
.git
.gitignore

# Environment variables
# We usually don't want local env files in the image. Pass them via Docker run/compose instead.
.env*.local
.env

# Local Database Files (CRITICAL if using SQLite!)
*.db
*.db-journal
*.sqlite
*.sqlite3
data/

# Mac/Windows system files
.DS_Store
Thumbs.db

# Typescript cache
*.tsbuildinfo